# Custom module library for general purposes.
{{ machine_name }}:
  js:
    js/{{ machine_name|u2h }}.js: {}
  css:
    component:
      css/{{ machine_name|u2h }}.css: {}
  dependencies:
    - core/drupalSettings
    - {{ machine_name }}/jquery-labelauty

# Third-party library (self hosted).
jquery-labelauty:
  remote: https://github.com/fntneves/jquery-labelauty
  version: 1.1.0
  license:
    name: MIT
    url: https://github.com/fntneves/jquery-labelauty/blob/v1.1.0/LICENSE
    gpl-compatible: true
  js:
    /libraries/jquery-labelauty/source/jquery-labelauty.js: {}
  css:
    component:
      /libraries/jquery-labelauty/source/jquery-labelauty.css: {}
  dependencies:
    - core/jquery

# Third-party library (CDN).
vuejs:
  remote: https://vuejs.org
  version: 2.0.5
  license:
    name: MIT
    url: https://github.com/vuejs/vue/blob/dev/LICENSE
    gpl-compatible: true
  js:
    https://cdnjs.cloudflare.com/ajax/libs/vue/2.3.4/vue.min.js: {type: external, minified: true}
